%define        MAJversion  %(echo %version | cut -d. -f 1)
%define        majversion  %(echo %version | cut -d. -f 1-2)

%define        gscachedir  /var/cache/gstreamer-0.10
%define        libname     lib%{name}

Name:          gstreamer
Version:       1.12.1
Release:       1mamba
Epoch:         2
Summary:       A framework for streaming media
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://gstreamer.freedesktop.org
Source:        http://gstreamer.freedesktop.org/src/gstreamer/gstreamer-%{version}.tar.xz
Patch0:        gstreamer-1.1.3-bison-3.0.patch
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: gtk-doc
BuildRequires: libffi-devel
BuildRequires: libglib-devel
BuildRequires: pkg-config
## AUTOBUILDREQ-END
BuildRequires: bash
BuildRequires: ldconfig
BuildRequires: bison
BuildRequires: flex
BuildRequires: libtool
BuildRequires: automake
BuildRequires: autoconf
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

# FIXME:
# checking for docbook2ps... false
# checking for docbook2html... false

%description
GStreamer is a library that allows the construction of graphs of media-handling components, ranging from simple Ogg/Vorbis playback to complex audio (mixing) and video (non-linear editing) processing.  Applications can take advantage of advances in codec and filter technology transparently. Developers can add new codecs and filters by writing a simple plugin with a clean, generic interface.

%package -n %{name}-tools
Summary:       A framework for streaming media
Group:         Applications/Multimedia

%description -n %{name}-tools
GStreamer is a streaming-media framework, based on graphs of filters which operate on media data. Applications using this library can do anything from real-time sound processing to playing videos, and just about anything else media-related.  Its plugin-based architecture means that new data types or processing capabilities can be added simply by installing new plugins.

%package -n %{libname}
Summary:       Libraries for GStreamer streaming-media framework
Group:         System/Libraries
#Requires:      %{name}-tools = %{?epoch:%epoch:}%{version}-%{release}

%description -n %{libname}
GStreamer is a library that allows the construction of graphs of media-handling components, ranging from simple Ogg/Vorbis playback to complex audio (mixing) and video (non-linear editing) processing.  Applications can take advantage of advances in codec and filter technology transparently. 
Developers can add new codecs and filters by writing a simple plugin with a clean, generic interface. 
This package contains the libraries.

%package -n %{libname}-devel
Summary:       Devel package for GStreamer library
Group:         Development/Libraries
Requires:      %{libname} = %{?epoch:%epoch:}%{version}-%{release}

%description -n %{libname}-devel
GStreamer is a library that allows the construction of graphs of media-handling components, ranging from simple Ogg/Vorbis playback to complex audio (mixing) and video (non-linear editing) processing.  Applications can take advantage of advances in codec and filter technology transparently.
Developers can add new codecs and filters by writing a simple plugin with a clean, generic interface.
This package contains static libraries and header files need for development.

%package -n %{libname}-apidocs
Summary:       GStreamer library API documentation
Group:         Documentation
Requires:      gtk-doc

%description -n %{libname}-apidocs
GStreamer library API documentation.

%prep
%setup -q -n gstreamer-%{version}
#%patch0 -p1

%build
./autogen.sh
export CHECK_LIBS=-lcheck
%configure \
   --with-cachedir=%{gscachedir} \
   --enable-gtk-doc \
   --with-html-dir=%{_datadir}/gtk-doc/html
#  --enable-docbook

#% ifnarch arm x86_64
#   --enable-gtk-doc \
#% endif

%make

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%makeinstall

install -d %{buildroot}%{gscachedir}

## remove binaries that conflict with gstreamer-0.8.x
#rm -f %{buildroot}%{_bindir}/gst-feedback
#rm -f %{buildroot}%{_bindir}/gst-inspect
#rm -f %{buildroot}%{_bindir}/gst-launch
#rm -f %{buildroot}%{_bindir}/gst-md5sum
#rm -f %{buildroot}%{_bindir}/gst-typefind
#rm -f %{buildroot}%{_bindir}/gst-xmlinspect
#rm -f %{buildroot}%{_bindir}/gst-xmllaunch

%find_lang gstreamer-%{MAJversion}.0

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%post   -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files -n %{name}-tools -f gstreamer-%{MAJversion}.0.lang
%defattr(-,root,root)
%{_datadir}/bash-completion/completions/gst-*
%{_datadir}/bash-completion/helpers/gst*
%{_bindir}/gst-inspect-%{MAJversion}.0
%{_bindir}/gst-launch-%{MAJversion}.0
%{_bindir}/gst-typefind-%{MAJversion}.0
%{_bindir}/gst-stats-%{MAJversion}.0
%{_mandir}/man1/*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*
%{_libdir}/gstreamer-%{MAJversion}.0/
%{_libdir}/girepository-1.0/Gst*.typelib
%{_libexecdir}/gstreamer-%{MAJversion}.0/gst-*
%dir %{gscachedir}
%doc AUTHORS COPYING

%files -n %{libname}-devel
%defattr(-,root,root)
%{_includedir}/gstreamer-%{MAJversion}.0/
%{_datadir}/aclocal/*
%{_datadir}/gir-1.0/Gst*.gir
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/pkgconfig/*
%doc NEWS README RELEASE TODO

%files -n %{libname}-apidocs
%defattr(-,root,root)
%{_datadir}/gtk-doc/html/gstreamer-libs-%{MAJversion}.0/
%{_datadir}/gtk-doc/html/gstreamer-%{MAJversion}.0/
%{_datadir}/gtk-doc/html/gstreamer-plugins-%{MAJversion}.0/

%changelog
* Tue Jun 20 2017 Automatic Build System <autodist@mambasoft.it> 1.12.1-1mamba
- automatic version update by autodist

* Sat May 06 2017 Automatic Build System <autodist@mambasoft.it> 1.12.0-1mamba
- automatic version update by autodist

* Fri Feb 24 2017 Automatic Build System <autodist@mambasoft.it> 1.10.4-1mamba
- automatic version update by autodist

* Thu Feb 02 2017 Automatic Build System <autodist@mambasoft.it> 1.10.3-1mamba
- automatic version update by autodist

* Tue Nov 29 2016 Automatic Build System <autodist@mambasoft.it> 1.10.2-1mamba
- automatic version update by autodist

* Thu Nov 17 2016 Automatic Build System <autodist@mambasoft.it> 1.10.1-1mamba
- automatic version update by autodist

* Wed Nov 02 2016 Automatic Build System <autodist@mambasoft.it> 1.10.0-1mamba
- automatic version update by autodist

* Thu Oct 13 2016 Automatic Build System <autodist@mambasoft.it> 1.9.90-1mamba
- automatic version update by autodist

* Mon Sep 19 2016 Automatic Build System <autodist@mambasoft.it> 1.9.2-1mamba
- automatic update by autodist

* Fri Aug 19 2016 Automatic Build System <autodist@mambasoft.it> 1.8.3-1mamba
- automatic version update by autodist

* Thu Jun 09 2016 Automatic Build System <autodist@mambasoft.it> 1.8.2-1mamba
- automatic version update by autodist

* Wed Apr 20 2016 Automatic Build System <autodist@mambasoft.it> 1.8.1-1mamba
- automatic version update by autodist

* Sat Mar 26 2016 Automatic Build System <autodist@mambasoft.it> 1.8.0-1mamba
- automatic version update by autodist

* Wed Jan 20 2016 Automatic Build System <autodist@mambasoft.it> 1.6.3-1mamba
- automatic version update by autodist

* Tue Dec 15 2015 Automatic Build System <autodist@mambasoft.it> 1.6.2-1mamba
- automatic version update by autodist

* Fri Oct 30 2015 Automatic Build System <autodist@mambasoft.it> 1.6.1-1mamba
- automatic version update by autodist

* Tue Oct 06 2015 Automatic Build System <autodist@mambasoft.it> 1.6.0-1mamba
- automatic version update by autodist

* Sun Dec 21 2014 Automatic Build System <autodist@mambasoft.it> 1.4.5-1mamba
- automatic version update by autodist

* Thu Nov 06 2014 Automatic Build System <autodist@mambasoft.it> 1.4.4-1mamba
- automatic version update by autodist

* Wed Sep 24 2014 Automatic Build System <autodist@mambasoft.it> 1.4.3-2mamba
- automatic version update by autodist

* Wed Sep 24 2014 Automatic Build System <autodist@mambasoft.it> 1.4.3-1mamba
- automatic version update by autodist

* Fri Sep 19 2014 Automatic Build System <autodist@mambasoft.it> 1.4.2-1mamba
- automatic version update by autodist

* Thu Aug 28 2014 Automatic Build System <autodist@mambasoft.it> 1.4.1-1mamba
- automatic version update by autodist

* Mon Jul 21 2014 Automatic Build System <autodist@mambasoft.it> 1.4.0-1mamba
- automatic version update by autodist

* Sun Jul 20 2014 Automatic Build System <autodist@mambasoft.it> 1.3.91-1mamba
- automatic update by autodist

* Wed Jul 02 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.3-1mamba
- update to 1.3.3

* Thu May 29 2014 Automatic Build System <autodist@mambasoft.it> 1.3.2-1mamba
- automatic update by autodist

* Sat Apr 19 2014 Automatic Build System <autodist@mambasoft.it> 1.2.4-1mamba
- automatic version update by autodist

* Sun Feb 09 2014 Automatic Build System <autodist@mambasoft.it> 1.2.3-1mamba
- automatic version update by autodist

* Sat Dec 28 2013 Automatic Build System <autodist@mambasoft.it> 1.2.2-1mamba
- automatic version update by autodist

* Sun Nov 10 2013 Automatic Build System <autodist@mambasoft.it> 1.2.1-1mamba
- automatic version update by autodist

* Wed Oct 30 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.0-2mamba
- bump epoch up

* Tue Sep 24 2013 Automatic Build System <autodist@mambasoft.it> 1.2.0-1mamba
- automatic version update by autodist

* Wed Aug 28 2013 Automatic Build System <autodist@mambasoft.it> 1.1.4-1mamba
- automatic update by autodist

* Tue Jun 11 2013 Automatic Build System <autodist@mambasoft.it> 1.1.1-1mamba
- automatic version update by autodist

* Sat Apr 27 2013 Automatic Build System <autodist@mambasoft.it> 1.0.7-1mamba
- automatic version update by autodist

* Tue Mar 26 2013 Automatic Build System <autodist@mambasoft.it> 1.0.6-1mamba
- automatic version update by autodist

* Tue Jan 08 2013 Automatic Build System <autodist@mambasoft.it> 1.0.5-1mamba
- automatic version update by autodist

* Wed Dec 19 2012 Automatic Build System <autodist@mambasoft.it> 1.0.4-1mamba
- automatic version update by autodist

* Wed Nov 21 2012 Automatic Build System <autodist@mambasoft.it> 1.0.3-1mamba
- automatic version update by autodist

* Thu Oct 25 2012 Automatic Build System <autodist@mambasoft.it> 1.0.2-1mamba
- automatic version update by autodist

* Mon Oct 08 2012 Automatic Build System <autodist@mambasoft.it> 1.0.1-1mamba
- automatic version update by autodist

* Wed Oct 03 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.0-2mamba
- remove obsolete for *gstreamer0.10 to prevent a circoluar obsolete with gstreamer010 legacy package

* Tue Sep 25 2012 Automatic Build System <autodist@mambasoft.it> 1.0.0-1mamba
- update to 1.0.0

* Mon Oct 03 2011 Automatic Build System <autodist@mambasoft.it> 0.11.1-1mamba
- automatic version update by autodist

* Wed Aug 03 2011 Automatic Build System <autodist@mambasoft.it> 0.11.0-1mamba
- automatic version update by autodist

* Thu Jun 16 2011 Automatic Build System <autodist@mambasoft.it> 0.10.35-1mamba
- automatic update by autodist

* Sat May 14 2011 Automatic Build System <autodist@mambasoft.it> 0.10.34-1mamba
- automatic update by autodist

* Tue May 10 2011 Automatic Build System <autodist@mambasoft.it> 0.10.33-1mamba
- automatic update by autodist

* Tue Feb 01 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.10.32-2mamba
- libgstreamer: remove requirement for gstreamer-tools to prevent loop

* Fri Jan 21 2011 Automatic Build System <autodist@mambasoft.it> 0.10.32-1mamba
- automatic update by autodist

* Thu Dec 02 2010 Automatic Build System <autodist@mambasoft.it> 0.10.31-1mamba
- automatic update to 0.10.31 by autodist

* Thu Jul 15 2010 Automatic Build System <autodist@mambasoft.it> 0.10.30-1mamba
- automatic update to 0.10.30 by autodist

* Thu Apr 29 2010 Automatic Build System <autodist@mambasoft.it> 0.10.29-1mamba
- automatic update to 0.10.29 by autodist

* Tue Mar 09 2010 Automatic Build System <autodist@mambasoft.it> 0.10.28-1mamba
- automatic update to 0.10.28 by autodist

* Sat Mar 06 2010 Automatic Build System <autodist@mambasoft.it> 0.10.27-1mamba
- automatic update to 0.10.27 by autodist

* Sat Feb 13 2010 Automatic Build System <autodist@mambasoft.it> 0.10.26-1mamba
- automatic update to 0.10.26 by autodist

* Tue Oct 06 2009 Automatic Build System <autodist@mambasoft.it> 0.10.25-1mamba
- automatic update to 0.10.25 by autodist

* Wed Aug 05 2009 Automatic Build System <autodist@mambasoft.it> 0.10.24-1mamba
- automatic update to 0.10.24 by autodist

* Tue May 26 2009 Automatic Build System <autodist@mambasoft.it> 0.10.23-1mamba
- automatic update by autodist

* Tue Feb 03 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.10.22-1mamba
- automatic update by autodist

* Sun Oct 19 2008 gil <puntogil@libero.it> 0.10.21-2mamba
- rebuild glib 2.18.2

* Sun Oct 19 2008 gil <puntogil@libero.it> 0.10.21-1mamba
- update to 0.10.21

* Wed Jul 09 2008 gil <puntogil@libero.it> 0.10.20-1mamba
- update to 0.10.20

* Fri Apr 11 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.10.19-1mamba
- update to 0.10.19

* Tue Nov 13 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.10.14-1mamba
- update to 0.10.14

* Tue Feb 27 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.10.11-4qilnx
- add epoch to allow obsoletion of gstreamer 0.8

* Sun Feb 25 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.10.11-3qilnx
- rename to gstreamer and obsolete gstreamer0.10

* Thu Jan 18 2007 Davide Madrisan <davide.madrisan@qilinux.it> 0.10.11-2qilnx
- update to version 0.10.11 by autospec
- new subpackage apidocs with API documentation

* Thu Jun 15 2006 Stefano Cotta Ramusino <stefano.cotta@qilinux.it> 0.10.8-1qilnx
- update to version 0.10.8 by autospec

* Tue May 23 2006 Davide Madrisan <davide.madrisan@qilinux.it> 0.10.6-1qilnx
- update to version 0.10.6 by autospec

* Wed Apr 12 2006 Davide Madrisan <davide.madrisan@qilinux.it> 0.10.4-2qilnx
- library package renamed to libgstreamer0.10
- new subpackage tools
- compatibility package libgstreamer08 removed and replaced by libgstreamer

* Mon Mar 27 2006 Davide Madrisan <davide.madrisan@qilinux.it> 0.10.4-1qilnx
- update to version 0.10.4 by autospec
- created compatibility package libgstreamer08

* Tue Dec 13 2005 Davide Madrisan <davide.madrisan@qilinux.it> 0.10.0-1qilnx
- update to version 0.10.0 by autospec
- new build requirement: libcheck-devel

* Fri Oct 28 2005 Davide Madrisan <davide.madrisan@qilinux.it> 0.8.11-2qilnx
- gtk documentation moved to devel package

* Wed Oct 26 2005 Davide Madrisan <davide.madrisan@qilinux.it> 0.8.11-1qilnx
- update to version 0.8.11 by autospec

* Thu Jun 09 2005 Davide Madrisan <davide.madrisan@qilinux.it> 0.8.10-1qilnx
- update to version 0.8.10 by autospec

* Mon Mar 07 2005 Davide Madrisan <davide.madrisan@qilinux.it> 0.8.9-1qilnx
- update to version 0.8.9 by autospec

* Sun Oct 03 2004 Davide Madrisan <davide.madrisan@qilinux.it> 0.8.5-1qilnx
- update to version 0.8.5 by autospec

* Thu Sep 02 2004 Davide Madrisan <davide.madrisan@qilinux.it> 0.8.4-1qilnx
- update to version 0.8.4 by autospec
- added missing BuildRequirements (libgnomeui-devel, libgnome-keyring-devel)

* Mon Jul 05 2004 Silvan Calarco <silvan.calarco@qinet.it> 0.8.3-2qilnx
- added /var/cache/gstreamer dir

* Sun Jul 04 2004 Silvan Calarco <silvan.calarco@qinet.it> 0.8.3-1qilnx
- first build
